#ifndef STHREADWORKLISTSEARCH_H
#define STHREADWORKLISTSEARCH_H

#include <QThread>
#include <QMutex>
#include <QDebug>
#include <QMutexLocker>

#include "qsthread.h"

#include "common.h"

#include "sdcmworklist.h"

#include <QTimer>
#include <QElapsedTimer>

class SThreadWorklistSearch : public QSThread
{
    Q_OBJECT
public:
    explicit SThreadWorklistSearch();

    virtual ~SThreadWorklistSearch();

    virtual void InnerRun();

    virtual void Init();

    void SearchWorklist();

    void SetWorklistInfo(WorklistResponseData& rd);
    int CheckAliveWorklist(int nType);
signals:
    void worklistUpdateComplete();
    void worklistError();
    void SetWorklistProgress(int nProgress);

    void SetDisplayError(QString strError);

protected:
    WorklistResponseData* m_pRD;
    QMutex m_LockState;
};

#endif // STHREADWORKLISTSEARCH_H
